import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/dmPrintingApproval',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/dmPrintingApproval/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/dmPrintingApproval',
    method: 'put',
    data
  })
}

export function approval(data) {
  return request({
    url: 'api/dmPrintingApproval/approval',
    method: 'post',
    data
  })
}

export default { add, edit, del, approval }
